## linux 3.2.101

=== debian/changelog ===
linux (3.2.101-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.97
    - scsi: lpfc: Don't return internal MBXERR_ERROR code from probe function
    - uwb: ensure that endpoint is interrupt
    - uwb: properly check kthread_run return value (CVE-2017-16526)
    - usb: Increase quirk delay for USB devices
    - xhci: fix finding correct bus_state structure for USB 3.1 hosts
    - usb: pci-quirks.c: Corrected timeout values used in handshake
    - Input: uinput - avoid FF flush when destroying device
    - usb-storage: unusual_devs entry to fix write-access regression for
      Seagate external drives
    - usb: gadget: fix spinlock dead lock in gadgetfs
    - USB: gadgetfs: fix copy_to_user while holding spinlock
    - USB: gadgetfs: Fix crash caused by inadequate synchronization
    - KEYS: fix cred refcount leak in request_key_auth_new()
    - KEYS: don't revoke uninstantiated key in request_key_auth_new()
    - KEYS: fix key refcount leak in keyctl_assume_authority()
    - KEYS: fix key refcount leak in keyctl_read_key()
    - KEYS: prevent creating a different user's keyrings
    - vfs: Return -ENXIO for negative SEEK_HOLE / SEEK_DATA offsets
    - USB: dummy-hcd: fix infinite-loop resubmission bug
    - USB: gadgetfs, dummy-hcd, net2280: fix locking for callbacks
    - USB: dummy-hcd: Fix erroneous synchronization change
    - packet: only test po->has_vnet_hdr once in packet_snd
    - sched/sysctl: Check user input value of sysctl_sched_time_avg
    - [x86] KVM: Do not take reference to mm during async #PF
    - [x86] kvm: Handle async PF in RCU read-side critical sections
    - l2tp: fix l2tp_eth module loading
    - ALSA: usx2y: Suppress kernel warning at page allocation failures
    - scsi: sd: Implement blacklist option for WRITE SAME w/ UNMAP
    - lsm: fix smack_inode_removexattr and xattr_getsecurity memleak
    - [x86] kvm: Avoid async PF preempting the kernel incorrectly
    - ALSA: seq: Fix copy_from_user() call inside lock
    - crypto: shash - Fix zero-length shash ahash digest crash
    - vfs: more bio_map_user_iov() leak fixes
    - USB: dummy-hcd: Fix deadlock caused by disconnect detection
    - ALSA: caiaq: Fix stray URB at probe error path
    - scsi: libiscsi: fix shifting of DID_REQUEUE host byte
    - [x86] KVM: nVMX: fix guest CR4 loading when emulating L2 to L1 exit
    - FS-Cache: fix dereference of NULL user_key_payload
    - ecryptfs: fix dereference of NULL user_key_payload
    - [x86] iommu/amd: Finish TLB flush in amd_iommu_unmap()
    - l2tp: check ps->sock before running pppol2tp_session_ioctl()
    - net: enable interface alias removal via rtnl
    - scsi: zfcp: fix erp_action use-before-initialize in REC action trace
    - can: esd_usb2: Fix can_dlc value for received RTR, frames
    - sctp: fix a type cast warnings that causes a_rwnd gets the wrong value
    - l2tp: hold tunnel in pppol2tp_connect()
    - ALSA: timer: Add missing mutex lock for compat ioctls
    - macvtap: fix TUNSETSNDBUF values > 64k
    - tun/tap: sanitize TUNSETSNDBUF input
    - tcp: fix tcp_mtu_probe() vs highest_sack
    - ocfs2: fstrim: Fix start offset of first cluster group during fstrim
    - l2tp: hold socket before dropping lock in l2tp_ip{, 6}_recv()
    - l2tp: hold tunnel socket when handling control frames in l2tp_ip and
      l2tp_ip6
    - l2tp: don't use l2tp_tunnel_find() in l2tp_ip and l2tp_ip6
    - ALSA: timer: Protect the whole snd_timer_close() with open race
    - ALSA: timer: Limit max instances per timer
    - [arm*] 8720/1: ensure dump_instr() checks addr_limit
    - ALSA: seq: Avoid invalid lockdep class warning
    - ALSA: seq: Fix OSS sysex delivery in OSS emulation
    - ]x86] oprofile/ppro: Do not use __this_cpu*() in preemptible context
    - security: Fix mode test in selinux_ptrace_access_check()
    - ptrace: change __ptrace_unlink() to clear ->ptrace under ->siglock
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.98
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.99
    - rtc: interface: ignore expired timers when enqueuing new timers
    - rtc: set the alarm to the next expiring timer
    - PCI/AER: Report non-fatal errors only to the affected endpoint
    - USB: serial: garmin_gps: fix I/O after failed probe and remove
    - USB: serial: garmin_gps: fix memory leak on probe errors
    - media: rc: check for integer overflow
    - [x86] KVM: nVMX: set IDTR and GDTR limits when loading L1 host state
    - scsi: bfa: integer overflow in debugfs
    - IB/srp: Avoid that a cable pull can trigger a kernel crash
    - tpm-dev-common: Reject too short writes
    - fs/9p: Compare qid.path in v9fs_test_inode
    - net/9p: Switch to wait_event_killable()
    - l2tp: add session reorder queue purge function to core
    - l2tp: purge session reorder queue on delete
    - l2tp: push all ppp pseudowire shutdown through .release handler
    - l2tp: ensure sessions are freed after their PPPOL2TP socket
    - l2tp: don't register sessions in l2tp_session_create()
    - l2tp: initialise l2tp_eth sessions before registering them
    - l2tp: protect sock pointer of struct pppol2tp_session with RCU
    - l2tp: initialise PPP sessions before registering them
    - [armhf/omap] media: omap_vout: Fix a possible null pointer dereference in
      omap_vout_open()
    - mtd: nand: Fix writing mtdoops to nand flash.
    - isofs: fix timestamps beyond 2027
    - coda: fix 'kernel memory exposure attempt' in fsync
    - eCryptfs: use after free in ecryptfs_release_messaging()
    - [x86] smp: Don't ever patch back to UP if we unplug cpus
    - kprobes, x86/alternatives: Use text_mutex to protect smp_alt_modules
    - USB: usbfs: compute urb->actual_length for isochronous
    - video: udlfb: Fix read EDID timeout
    - rt2x00usb: mark device removed when get ENOENT usb error
    - dm: fix race between dm_get_from_kobject() and __dm_destroy()
      (CVE-2017-18203)


## linux 3.2.102

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 102
EXTRAVERSION =
NAME = Sleepy Otter

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

=== debian/changelog ===
linux (3.2.102-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.102
    - sctp: Fix mangled IPv4 addresses on a IPv6 listening socket
      (Closes: #898100, regression in 3.2.101)
    - ext4: fix block bitmap validation when bigalloc, ^flex_bg
    - ext4: add validity checks for bitmap block numbers (CVE-2018-1093)
    - ext4: fix bitmap position validation
    - dccp: check sk for closed state in dccp_sendmsg() (CVE-2018-1130)
    - [x86] traps: Enable DEBUG_STACK after cpu_init() for TRAP_DB/BP
    - [amd64] entry: Don't use IST entry for #BP stack (CVE-2018-8897)
    - cdrom: information leak in cdrom_ioctl_media_changed() (CVE-2018-10940)
    - media: cpia2: Fix a couple off by one bugs
    - slip: sl_alloc(): remove unused parameter "dev_t line"
    - USB: serial: io_edgeport: fix possible sleep-in-atomic
    - media: bt8xx: Fix err 'bt878_probe()'
    - ath9k_htc: Add a sanity check in ath9k_htc_ampdu_action()
    - l2tp: fix missing print session offset info
    - scsi: aacraid: Fix udev inquiry race condition
    - pktcdvd: Fix pkt_setup_dev() error path
    - scsi: libsas: fix error when getting phy events
    - scsi: aacraid: remove redundant setting of variable c
    - ext4: save error to disk in __ext4_grp_locked_error()
    - ext4: correct documentation for grpid mount option
    - crypto: af_alg - whitelist mask and type
    - crypto: hash - introduce crypto_hash_alg_has_setkey()
    - crypto: cryptd - pass through absence of ->setkey()
    - crypto: hash - annotate algorithms taking optional key
    - crypto: hash - prevent using keyed hashes without setting key
    - console/dummy: leave .con_font_get set to NULL
    - hrtimer: Ensure POSIX compliance (relative CLOCK_REALTIME hrtimers)
    - USB: cdc-acm: Do not log urb submission errors on disconnect
    - dm thin: fix documentation relative to low water mark threshold
    - ubi: Fix race condition between ubi volume creation and udev
    - CDC-ACM: apply quirk for card reader
    - HID: roccat: prevent an out of bounds read in kovaplus_profile_activated()
    - cifs: Fix missing put_xid in cifs_file_strict_mmap
    - jffs2: Fix use-after-free bug in jffs2_iget()'s error handling path
    - media: cxusb, dib0700: ignore XC2028_I2C_FLUSH
    - netfilter: ipt_CLUSTERIP: fix out-of-bounds accesses in
      clusterip_tg_check()
    - netfilter: on sockopt() acquire sock lock only in the required scope
    - mm: pin address_space before dereferencing it while isolating an LRU page
    - net: igmp: add a missing rcu locking section
    - Btrfs: fix extent state leak from tree log
    - firmware: dmi_scan: Fix handling of empty DMI strings
    - netfilter: xt_RATEEST: acquire xt_rateest_mutex for hash insert
    - netlink: ensure to loop over all netns in genlmsg_multicast_allns()
    - netlink: avoid a double skb free in genlmsg_mcast()
    - 9p/trans_virtio: discard zero-length reply
    - bridge: check brport attr show in brport_show
    - libata: fix length validation of ATAPI-relayed SCSI commands
    - libata: remove WARN() for DMA or PIO command without data
    - xfrm_user: uncoditionally validate esn replay attribute struct
    - net: fix race on decreasing number of TX queues
    - netfilter: drop outermost socket lock in getsockopt()
    - netfilter: ipt_CLUSTERIP: fix a refcount bug in
      clusterip_config_find_get()
    - netfilter: x_tables: fix missing timer initialization in xt_LED
    - netfilter: nat: cope with negative port range
    - USB: OHCI: Fix race between ED unlink and URB submission
    - usb: ohci: Proper handling of ed_rm_list to handle race condition between
      usb_kill_urb() and finish_unlinks()
    - dn_getsockoptdecnet: move nf_{get/set}sockopt outside sock lock
    - libata: Apply NOLPM quirk to Crucial MX100 512GB SSDs
    - netfilter: IDLETIMER: be syzkaller friendly
    - [x86] mm: Fix {pmd,pud}_{set,clear}_flags()
    - libata: disable LPM for Crucial BX100 SSD 500GB drive
    - kernel/relay.c: limit kmalloc size to KMALLOC_MAX_SIZE
    - regulatory: add NUL to request alpha2
    - ALSA: usb-audio: Add a quirck for B&W PX headphones
    - batman-adv: fix packet checksum in receive path
    - l2tp: don't use inet_shutdown on ppp session destroy
    - l2tp: fix race in pppol2tp_release with session object destroy
    - tpm_tis: fix potential buffer overruns caused by bit glitches on the bus
    - tty: make n_tty_read() always abort if hangup is in progress
    - serial: sh-sci: prevent lockup on full TTY buffers
    - e1000e: Fix check_for_link return value with autoneg off
      (regression in 3.2.100)
    - usb: quirks: add control message delay for 1b1c:1b20
    - l2tp: do not accept arbitrary sockets
    - RDMA/ucma: Limit possible option size
    - RDMA/ucma: Check that user doesn't overflow QP state
    - [x86] MCE: Save microcode revision in machine check records
    - usb: usbmon: Read text within supplied buffer size
    - xhci: Fix front USB ports on ASUS PRIME B350M-A
    - ALSA: seq: Fix possible UAF in snd_seq_check_queue()
    - ALSA: seq: Clear client entry before deleting else at closing
    - netfilter: bridge: ebt_among: add missing match size checks
    - netfilter: bridge: ebt_among: add more missing match size checks
    - RDMA/ucma: Fix access to non-initialized CM_ID object
    - mmc: block: fix updating ext_csd caches on ioctl call
    - fs: Teach path_connected to handle nfs filesystems with multiple roots.
    - skbuff: Fix not waking applications when errors are enqueued
    - libata: Apply NOLPM quirk to Crucial M500 480 and 960GB SSDs
    - libata: Make Crucial BX100 500GB LPM quirk apply to all firmware versions
    - ALSA: usb-audio: Fix parsing descriptor of UAC2 processing unit
    - RDMA/ucma: Fix use-after-free access in ucma_close
    - RDMA/ucma: Ensure that CM_ID exists prior to access it
    - RDMA/ucma: Correct option size check using optlen


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.7), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, gcc-4.6 [alpha armel armhf ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], gcc-4.9-backport (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.4 [hppa], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa]
Build-Depends-Indep: bzip2, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-6
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-6-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-6-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-6-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-6-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-6-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-6-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-6-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-6
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-6, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.2.0-6-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.2.0-6-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-6-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-6-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-6-common (= ${binary:Version}), ${misc:Depends}, gcc-4.6, linux-kbuild-3.2
Description: Header files for Linux 3.2.0-6-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-6-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-6-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-6-alpha-generic package.

Package: linux-image-3.2.0-6-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-6-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-6-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-6-common (= ${binary:Version}), ${misc:Depends}, gcc-4.6, linux-kbuild-3.2
Description: Header files for Linux 3.2.0-6-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-6-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-6-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-6-alpha-smp package.

Package: linux-image-3.2.0-6-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-6-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-6-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-6-common (= ${binary:Version}), ${misc:Depends}, gcc-4.6, linux-kbuild-3.2
Description: Header files for Linux 3.2.0-6-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-6-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-6-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-6-alpha-legacy package.

Package: linux-headers-3.2.0-6-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-6-amd64 (= ${binary:Version}), linux-headers-3.2.0-6-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: nic-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules
Depends: kernel-image-3.2.0-6-amd64-di, nic-shared-modules-3.2.0-6-amd64-di, core-modules-3.2.0-6-amd64-di, firewire-core-modules-3.2.0-6-amd64-di
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: nic-extra-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-extra-modules
Depends: kernel-image-3.2.0-6-amd64-di, nic-shared-modules-3.2.0-6-amd64-di, core-modules-3.2.0-6-amd64-di, i2c-modules-3.2.0-6-amd64-di, crc-modules-3.2.0-6-amd64-di
Description: Rare NIC drivers
 This package contains rare NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: nic-wireless-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.2.0-6-amd64-di, nic-shared-modules-3.2.0-6-amd64-di, core-modules-3.2.0-6-amd64-di, usb-modules-3.2.0-6-amd64-di, mmc-modules-3.2.0-6-amd64-di, pcmcia-modules-3.2.0-6-amd64-di, crc-modules-3.2.0-6-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP).
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: nic-shared-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.2.0-6-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: serial-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.2.0-6-amd64-di, pcmcia-modules-3.2.0-6-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-6-amd64

Package: usb-serial-modules-3.2.0-6-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.2.0-6-amd64-di, usb-modules-3.2.0-6-amd64-di
